curl
curl -sS "https://gateway.orbit/api/v1/activities?limit=25&request_id=9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81&before_id=480&status=failed&command=instance:deploy&caller_node_id=2&target_node_id=4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"request_id": "<string>",
"command": "<string>",
"caller_node_id": 123,
"target_node_id": 123,
"caller_ip": "<string>",
"status": "<string>",
"duration_ms": 123,
"exit_code": 123,
"error_code": "<string>",
"subject_type": "<string>",
"subject_id": 123,
"properties": {},
"occurred_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Activities
List Activities
List recent gateway command activity.
GET
/
api
/
v1
/
activities
curl
curl -sS "https://gateway.orbit/api/v1/activities?limit=25&request_id=9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81&before_id=480&status=failed&command=instance:deploy&caller_node_id=2&target_node_id=4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"request_id": "<string>",
"command": "<string>",
"caller_node_id": 123,
"target_node_id": 123,
"caller_ip": "<string>",
"status": "<string>",
"duration_ms": 123,
"exit_code": 123,
"error_code": "<string>",
"subject_type": "<string>",
"subject_id": 123,
"properties": {},
"occurred_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 1Available options:
running, succeeded, failed Required string length:
1 - 255Required range:
x >= 1Required range:
x >= 1